## org.hibernate.cache
Class QueryKey

    java.lang.Object
      org.hibernate.cache.QueryKey

All Implemented Interfaces:
  Serializable

    public class QueryKey

extends Object
implements Serializable

A key that identifies a particular query with bound parameter values. This is the object Hibernate uses as its key into its query cache.

Author:
  Gavin King, Steve Ebersole
See Also:
  Serialized Form

Method Summary
`boolean` `equals(Object other)`
`static QueryKey` `generateQueryKey(String queryString, QueryParameters queryParameters, Set filterKeys, SessionImplementor session, ResultTransformer customTransformer)` Generates a QueryKey.
`ResultTransformer` `getResultTransformer()`
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### generateQueryKey

    public static QueryKey generateQueryKey(String queryString,
                                            QueryParameters queryParameters,
                                            Set filterKeys,
                                            SessionImplementor session,
                                            ResultTransformer customTransformer)

  Generates a QueryKey.

  Parameters:
    `queryString` - The sql query string.
    `queryParameters` - The query parameters
    `filterKeys` - The keys of any enabled filters.
    `session` - The current session.
    `customTransformer` - The result transformer; should be null if data is not transformed before being cached.
  Returns:
    The generate query cache key.

### getResultTransformer

    public ResultTransformer getResultTransformer()

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.